[arch-commits] Commit in maxima/repos (4 files)

Jan de Groot jgc at archlinux.org
Fri May 8 17:54:46 EDT 2009


    Date: Friday, May 8, 2009 @ 17:54:45
  Author: jgc
Revision: 38534

Merged revisions 38533 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/maxima/trunk

........
  r38533 | jgc | 2009-05-08 23:54:27 +0200 (Fri, 08 May 2009) | 2 lines
  
  upgpkg: maxima 5.18.1-2
      Fix desktop file handling
........

Modified:
  maxima/repos/extra-i686/	(properties)
  maxima/repos/extra-i686/PKGBUILD
  maxima/repos/extra-i686/maxima.desktop
  maxima/repos/extra-i686/maxima.install

----------------+
 PKGBUILD       |   14 ++++++--------
 maxima.desktop |    7 +++----
 maxima.install |   27 +++++++++------------------
 3 files changed, 18 insertions(+), 30 deletions(-)


Property changes on: maxima/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /maxima/trunk:1-36537
   + /maxima/trunk:1-38533

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-08 21:54:27 UTC (rev 38533)
+++ extra-i686/PKGBUILD	2009-05-08 21:54:45 UTC (rev 38534)
@@ -4,39 +4,37 @@
 
 pkgname=maxima
 pkgver=5.18.1
-pkgrel=1
+pkgrel=2
 pkgdesc="Maxima - a sophisticated computer algebra system"
 arch=('i686' 'x86_64')
 license=('GPL')
 url="http://maxima.sourceforge.net"
-depends=('sbcl' 'libsigsegv' 'bash' 'texinfo')
+depends=('sbcl' 'bash' 'texinfo')
 optdepends=('gnuplot: plotting capabilities' \
 	'rlwrap: readline support via /usr/bin/rmaxima' \
 	'tk: graphical xmaxima interface')
-
 # needs rebuild when bash changes version
-
 options=('!makeflags')
 install=$pkgname.install
 source=("http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz" "$pkgname.desktop")
 md5sums=('8be7388ad31b975335623b390bc2516e'
-         'a44160f17c95d4ce1d6f3b4ca7cf6b9e')
+         '24aa81126fbb8b726854e5a80d4c2415')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info \
-	--libexecdir=/usr/lib --enable-sbcl --with-default-lisp=sbcl
+	--libexecdir=/usr/lib --enable-sbcl --with-default-lisp=sbcl || return 1
   make || return 1
   make DESTDIR=${pkgdir} install || return 1
   
   # install some freedesktop.org compatibility
   install -Dm644 ${srcdir}/${pkgname}.desktop \
-  	${pkgdir}/usr/share/applications/${pkgname}.desktop
+  	${pkgdir}/usr/share/applications/${pkgname}.desktop || return 1
   
   # make sure, we have a nice icon for the desktop file at the right place ;)
   install -d ${pkgdir}/usr/share/pixmaps/
   ln -s /usr/share/maxima/${pkgver}/xmaxima/maxima-new.png \
-	${pkgdir}/usr/share/pixmaps/${pkgname}.png
+	${pkgdir}/usr/share/pixmaps/${pkgname}.png || return 1
 
  # info files cannot be gzipped for them to work inside maxima!
  rm -rf ${pkgdir}/usr/share/info/dir

Modified: extra-i686/maxima.desktop
===================================================================
--- extra-i686/maxima.desktop	2009-05-08 21:54:27 UTC (rev 38533)
+++ extra-i686/maxima.desktop	2009-05-08 21:54:45 UTC (rev 38534)
@@ -5,8 +5,7 @@
 GenericName[it]=algebra a livello avanzato
 Comment=A sophisticated computer algebra system
 Exec=xmaxima
-Icon=/usr/share/pixmaps/maxima.png
-Terminal=1
+Icon=maxima
+Terminal=true
 Type=Application
-# Categories=Qt;KDE;Math;Education
-Categories=Science;Math;CAS
+Categories=Science;Math;

Modified: extra-i686/maxima.install
===================================================================
--- extra-i686/maxima.install	2009-05-08 21:54:27 UTC (rev 38533)
+++ extra-i686/maxima.install	2009-05-08 21:54:45 UTC (rev 38534)
@@ -1,27 +1,18 @@
- infodir=/usr/share/info
-  filelist=(imaxima.info maxima.info xmaxima.info)
+infodir=/usr/share/info
+filelist=(imaxima.info maxima.info xmaxima.info)
 
-  post_install() {
-  echo "update desktop and mime database..."
-  update-desktop-database
-
+post_install() {
   for file in ${filelist[@]}; do
     install-info $infodir/$file $infodir/dir 2> /dev/null
   done
+}
 
-  }
+post_upgrade() {
+  post_install $1
+}
 
-  post_upgrade() {
-    post_install $1
-  }
-
-  post_remove() {
-  echo "update desktop and mime database..."
-  update-desktop-database
-  }
-
-  pre_remove() {
+pre_remove() {
   for file in ${filelist[@]}; do
     install-info --delete $infodir/$file $infodir/dir 2> /dev/null
   done
-  }
+}



More information about the arch-commits mailing list